Page MenuHomePhabricator

Regression: Unable to have redirect-less main page
Closed, ResolvedPublic

Description

I have configured nginx to show translatewiki.net main page without redirecting to https://translatewiki.net/wiki/Special:MainPage. After I88ed3525141c765910e66188427b9aab36b958a9 / 155d555b83eca6403e07d2094b074a8ed2f301ae (confirmed by git bisect) this is broken.

This is both a performance and aesthetic issue:

  1. It is nicer to copy around the short url
  2. It adds many hundred milliseconds to page load time

My nginx config is at https://github.com/wikimedia/translatewiki/blob/master/puppet/modules/nginx/files/translatewiki.net#L39. An nginx level redirect could alleviate the performance hit, but I hope there is a better solution.

Event Timeline

Nikerabbit raised the priority of this task from to Needs Triage.
Nikerabbit updated the task description. (Show Details)
Nikerabbit added a project: Performance Issue.
Nikerabbit added subscribers: Nikerabbit, Krinkle, aaron.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 7:52 AM
Nemo_bis updated the task description. (Show Details)Jul 3 2015, 7:58 AM
Nemo_bis set Security to None.
Nemo_bis triaged this task as High priority.Jul 7 2015, 8:41 AM
Nemo_bis added a subscriber: Nemo_bis.

Change 223267 had a related patch set uploaded (by Nikerabbit):
Override main page canonical url

https://gerrit.wikimedia.org/r/223267

Change 223267 merged by jenkins-bot:
Override main page canonical url

https://gerrit.wikimedia.org/r/223267

So, should the $wgHooks['GetLocalURL'][] hack be documented and this bug marked invalid, or is a better solution desired?

That solution is good enough for me, though not obvious, so documentation would be good.

Ok, I added something on https://www.mediawiki.org/wiki/Manual:Hooks/GetLocalURL . let's consider this a docs bug then.

Nemo_bis closed this task as Resolved.Jul 26 2015, 11:48 AM
Nemo_bis edited projects, added MediaWiki-Documentation; removed MediaWiki-General.
Restricted Application added a project: Documentation. · View Herald TranscriptJul 26 2015, 11:48 AM